Module RoundingStuff
    'This function rounds to the nearest template value
    'value       template   RoundtoTemplate
    '123.08875   25         125
    '            20         120
    '             0.01      123.09
    '             0.05      123.10
    '            17.17      120.19
    '             7         126
    Public Function RoundToTemplate(ByVal value As Double, ByVal template As Double) As Double
        Debug.Assert(template > 0.0000000001, "A template value of < 1E-10 is not allowed")

        Return template * System.Math.Round(value / template, 0)
    End Function
End Module
